Count Accounts

Count the found accounts in your top account list.

Returns the total number of found accounts in the workspace's top account list. Only accounts whose enrichment resolved a company record (status: found) are counted. Accounts that could not be matched are excluded from this count, and are available at Not-found accounts.

Count accounts

GET/api/v2/top-account-list/count

Example request

curl "https://api.getsillage.com/api/v2/top-account-list/count" \
  -H "Authorization: Bearer $SILLAGE_API_KEY"
const response = await fetch('https://api.getsillage.com/api/v2/top-account-list/count', {
  headers: {
    Authorization: `Bearer ${process.env.SILLAGE_API_KEY}`,
  },
})

const result = await response.json()
import { request } from 'node:https'

const req = request(
  new URL('https://api.getsillage.com/api/v2/top-account-list/count'),
  {
    headers: {
      Authorization: `Bearer ${process.env.SILLAGE_API_KEY}`,
    },
  },
  (res) => {
    let data = ''
    res.on('data', (chunk) => {
      data += chunk
    })
    res.on('end', () => {
      console.log(JSON.parse(data))
    })
  },
)

req.end()
import os
import requests

response = requests.get(
    "https://api.getsillage.com/api/v2/top-account-list/count",
    headers={"Authorization": f"Bearer {os.environ['SILLAGE_API_KEY']}"},
    timeout=30,
)
response.raise_for_status()
result = response.json()

Example response

{
  "total": 87
}

Response fields

FieldTypeDescription
totalintegerTotal number of accounts in the top account list.

On this page